Settings
Change notification preferences
Change the supplied preferences and return them all. The change applies to every membership of the member’s user.
PATCH
/
api
/
member
/
v2026-10
/
notifications
/
preferences
Change notification preferences
curl --request PATCH \
--url https://api.fluid.app/api/member/v2026-10/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channels": {
"sms": false
},
"families": {
"activity": {
"email": false
}
},
"dnd": {
"schedule": {
"name": "weekdays",
"start_time": "21:00",
"end_time": "07:30"
}
}
}
'import requests
url = "https://api.fluid.app/api/member/v2026-10/notifications/preferences"
payload = {
"channels": { "sms": False },
"families": { "activity": { "email": False } },
"dnd": { "schedule": {
"name": "weekdays",
"start_time": "21:00",
"end_time": "07:30"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channels: {sms: false},
families: {activity: {email: false}},
dnd: {schedule: {name: 'weekdays', start_time: '21:00', end_time: '07:30'}}
})
};
fetch('https://api.fluid.app/api/member/v2026-10/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"channels": {
"push": true,
"email": true,
"sms": false
},
"families": {
"activity": {
"push": true,
"email": false
},
"orders": {
"push": true,
"email": true
},
"messaging": {
"push": true,
"email": false
},
"general": {
"push": true,
"email": true
}
},
"dnd": {
"mode": "off",
"schedule": {
"name": "weekdays",
"start_time": "21:00",
"end_time": "07:30",
"days": null
}
}
},
"meta": {
"request_uuid": "0192f4c8-5b6c-7d74-a3e8-0f1a2b3c4d5e",
"timestamp": "2026-10-01T15:08:21Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
A member credential in the Authorization: Bearer header: a member
session JWT, a portal JWT whose login is linked to a membership in
that company, or a member token. The credential alone
identifies the member and company.
Body
application/json
⌘I
Change notification preferences
